Subject: RE: DLL Example no longer works under b18
From: [email-masked] (John Cerney)

3 Jun 1997 17:05:49 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: John Cerney <[email-masked]>
Mime-Version: 1.0
Content-Type: Multipart/Mixed; boundary="BeyondBoundary_2_Tue_Jun_03_07:13:27_1997__4823"
X-Mailer: BeyondMail for Windows/Professional 2.3
Original-To: Steve Shepard <[email-masked]>
X-BeyondMail-Priority: 1
Conversation-ID: <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Cc: [email-masked]
X-Receipt-From-Agent: true
Original-Sender: [email-masked]

--BeyondBoundary_2_Tue_Jun_03_07:13:27_1997__4823
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7Bit

I have not solved the problem, but I have been experimenting with it.

I believe it is a problem with the B18 cygwin.dll, because the executables of
the simple example that were built under B17.1 don't run using the b18
cygwin.dll, and the executables built with B18 work when run using the B17.1
cygwin.dll. 

Other people on this list are having similar problems with Sergey's X11 port
under B18. I believe that this is the same problem. Some people have reported
success using Sergey's patched cygwin.dll, although I'm not sure what the
differences are between his patched dll and the standard b18 dll.

-John

>  
>  John,
>  
>  I am seeing similar problems ("Unable to run ...) under Windows 95 on
>  B18. Did you resolve the problem? If so, how?
>  
>  -Steve
>  
>  
>  > The simple DLL example on the cygnus web page:
>  > http://www.cygnus.com/misc/gnu-win32/building-reloc-dlls.txt no
>  > longer works with the beta 18 release. When running main.exe a
>  > window pops up that says: "Unable to run c:\temp\main.exe".
>  
>  > This happens both for the main.exe built under b17.1 and the
>  > main.exe built using b18. Running main.exe under the debugger (gdb)
>  > reports "unable to create process" errors, and error number
>  > 11. Error number 11 in include/Windows32/Errors.h is defined as "Bad
>  > Format".
>  
>  > I tried this on a Windows 95 machine. I have not tried it on a Win
>  > NT machine yet.
>  
>  

--BeyondBoundary_2_Tue_Jun_03_07:13:27_1997__4823
Content-Type: application/octet-stream; name="ATTRIBS.BND"
Content-Transfer-Encoding: X-UUENCODE
Content-Disposition: attachment; filename="ATTRIBS.BND"

--BeyondBoundary_2_Tue_Jun_03_07:13:27_1997__4823--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".